---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.5
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Объекты действий триггера
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/queues/change-trigger-actions.md
  - href: en/api-ref/queues/change-trigger-actions.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt


# Trigger action objects

To manage trigger actions, specify one or more objects.

## Changing issue status {#change-status}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `Transition` | String |
| status | Issue status | Status key, ID, or name | String |

> Example: Change the issue status to "In progress".
> ```json
> { "type": "Transition", "status": "In progress" }
> ```


## Calculating a value {#calculate}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `CalculateFormula` | String |
| formula | Formula | Math expression | String |
| resultField | Field the value is calculated in | Field key or name | String |

> Example: Calculate the date three months from today and add the resulting value to the "Start" field.
> ```json
> { "type": "CalculateFormula", "formula": "now()+3M", "resultField": "start" }
> ```


## Updating fields {#change-fields}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `Update` | String |
| update | Object with a list of issue fields that you want to change. [Full list of issue fields](https://tracker.yandex.com/admin/fields) | The "field key – value" pair.<br><br>To clear the field, specify the `null` value.<br>You can also use the `set`, `add`, and `remove` operators (see [Editing parameters](../common-format.md#edit-fields)) | Object |

> Example: Change issue field values.
> - Change the issue description to "New issue".
> - Add the "New tag" tag.
> - Clear the "Resolution" field.
> ```json
> {
>    "type": "Update",
>    "update": {
>        "description": "New issue",
>        "tags": { "add": "New tag" },
>        "resolution": null
>    }
> }
> ```


## Moving an issue {#move-task}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `Move` | String |
| queue | Queue | Queue key | String |

> Example: Move the issue to "TESTQUEUE".
> ```json
> { "type": "Move", "queue": "TESTQUEUE"}
> ```


## Adding a comment {#add-comment}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `CreateComment` | String |
| text | Text of the comment | Text | String |
| fromRobot | Send on behalf of the robot or on behalf of the user who activated the trigger. | <ul><li>`true`: Send on behalf of the robot.</li><li>`false`: Send on behalf of the user who activated a trigger.</li></ul> | Boolean |

> Example: Send a comment on behalf of the user who activated a trigger. Comment: `Request created on <current_date>`.
> ```json
> { "type": "CreateComment", "text": "Request created on {{currentDateTime.date}}", "fromRobot": false }
> ```


## Create a checklist {#add-checklist}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `CreateChecklist` | String |
| checklistItems | List of checklist items | Array of objects with the following fields:<ul><li> `text`: Issue description (required field)</li><li> `assignee`: Issue assignee</li><li> `deadline`: Deadline in `{"date": "YYYY-MM-DD"}` object format.</li></ul> | Array of objects |


> Example: Create a checklist with three items.
> - Item 1: "Do this".
> - Item 2: "Do that".
> - Item 3: "Report the results".
>
> Set the same deadline (October 26, 2025) and assignee (the user with login `@username`) for the first two items. For the last item, set only the title.
> ```json
> {
>    "type": "CreateChecklist",
>    "checklistItems": [
>          {
>             "text": "Do this",
>             "assignee": "username",
>             "deadline": {"date": "2025-05-23"}
>          },
>          {
>             "text": "Do that",
>             "assignee": "username",
>             "deadline": {"date": "2025-05-23"}
>          },
>          {   "text": "Report the results"}
>    ]
> }
> ```


## HTTP request {#webhook}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `Webhook` | String |
| endpoint | Address | Request URL | String |
| authContext | Authorization method | Object with authorization data | String |
| method | Request method | Possible values:<ul><li> `GET`</li><li> `POST`</li><li> `PUT`</li><li> `DELETE`</li></ul> | String |
| contentType | Type of content | `application/json` | String |
| headers | Headers | Object with fields in key-value format | Map item |
| body | Request body | Object with data or string | Object or String |

**Acceptable authorization objects**

| Authorization type | Map item |
----- | -----
| NoAuth | `{ "type": "noauth" }` |
| Basic | `{ "password": "********", "type": "basic", "login": "<username>" }` |
| OAuth 2 | `{ "headerName": "Authorization", "type": "oauth", "accessToken": "********", "tokenType": "Bearer"}` |


> Example: Execute an HTTP request using the `GET` method.
> - Request URL: `https://api.example.com/messenger/sendMessage`.
> - Content type: `application/json; charset=UTF-8`.
> - Authorization type: "Basic".
> - In the request header, pass the `ru-RU` value for the `Content-Language` parameter.
> - In the request body, pass a message with the text "Success".
> ```json
> {
>    "type": "Webhook",
>    "endpoint": "https://api.example.com/messenger/sendMessage",
>    "method": "GET",
>    "contentType": "application/json; charset=UTF-8",
>    "headers": { "Content-Language": "ru-RU" },
>    "authContext": { "password": "********", "type": "basic", "login": "user1" },
>    "body": {"message":"Success"}
> }
> ```


## Creating an issue {#create-task}

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| type | Action type | `CreateIssue` | String |
| queue | Queue | Queue key | String |
| summary | Name | Text | String |
| fieldTemplates | Issue parameters | Object with the issue parameters | Map object |
| linkWithInitialIssue | Link it to the issue that activated the trigger | <ul><li>`true`: Link.</li><li>`false`: Do not link.</li></ul> | Boolean |
| fromRobot | Create issues as a robot | Object with issue fields | <ul><li>`true`: Create on behalf of the robot.</li><li>`false`: Create on behalf of the user who fired a trigger.</li></ul> | Boolean |

**Parameters of objects with issue fields**

| Parameter | Description | Acceptable values | Data type |
----- | ----- | ----- | -----
| followers | Followers | Array with user IDs | Array of strings |
| dueDate | Deadline | Date | String |
| description | Description | Text | String |
| assignee | Assignee | User ID | String |
| priority | Priority | Priority key or name | String |
| type | Issue type | Type key or name | String |
| tags | Tag list | Array of string elements | Array of strings |

> Example: In "TESTQUEUE", create an issue titled "New issue" on behalf of the robot.
> - Followers: Users with logins `@user1` and `@user2`.
> - Assignee: User with login `@user3`.
> - Deadline: October 31, 2024.
> - Description: `Created by the trigger <current_date>`.
> - Priority: "Critical".
> - Type: "Milestone".
> - Tags: `new task` and `by trigger`.
> ```json
> {
>    "type": "CreateIssue",
>    "queue": "TESTQUEUE",
>    "summary": "New issue",
>    "fieldTemplates": {
>          "followers": ["user1", "user2"],
>          "assignee": "user3",
>          "dueDate": "2024-10-31",
>          "description": "Created by the trigger {{currentDateTime.date}}",
>          "priority": "critical",
>          "type": "milestone",
>          "tags": ["new task", "by trigger"]
>    },
>    "fromRobot": true
> }
> ```

